/*************************************************************************
 *
 * Copyright (c) 2008-2011, Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * See the LICENSE.txt file shipped along with this file for the license.
 *
 *************************************************************************/
 
import QtQuick 1.0
 

Item {
    width: 360
    height: 640

    Image {
        id: background
        source: "images/background.jpg"
    }

    Item {
        id: clippedItem
        width: 360
        height: 590
        anchors.top: background.top
        anchors.topMargin: 60
        anchors.left: background.left
        anchors.leftMargin: 10
        clip: true

        GridView {
            id: listExample
            cellWidth: 110
            cellHeight: 160
            anchors.fill: parent
            model: ListModelExample {}
            delegate: itemComponent
            cacheBuffer: 100
        }
    }

    Component {
        id: itemComponent
        GridItemDelegate {
            intern_name: model.name
            intern_surname: model.surname
            intern_picture: model.picture
            intern_icon: model.icon
            intern_telephone: model.telephone
        }
    }

    Image {
        id: shadowDetail
        source: "images/shadow_detail.png"
        anchors.top: clippedItem.top
    }

    Image {
        id: scrollbar
        height: 547
        source: "images/scroll_bar.png"
        anchors.right: background.right
        anchors.rightMargin: 2
        anchors.bottom: background.bottom
        anchors.bottomMargin: 30
    }

    Rectangle {
        id: scrollknob
        width: 2
        radius: 1
        color: "#858d92"
        anchors.horizontalCenter: scrollbar.horizontalCenter
        y: (listExample.visibleArea.yPosition * listExample.height) + scrollbar.y
        height: ((listExample.height/listExample.contentHeight) * listExample.height) - 45
    }

}
