/*************************************************************************
 *
 * Copyright (c) 2008-2011, Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * See the LICENSE.txt file shipped along with this file for the license.
 *
 *************************************************************************/
 
import QtQuick 1.0
 

Item {
    id: itemList

    property string intern_name: "Name"
    property string intern_surname: "Surname"
    property string intern_telephone: "555 7879"
    property string intern_icon: "gps"
    property string intern_picture: "images/user_1.png"

    function countCharacters(name_txt, surname_txt)
    {
        var complete_name = "<b>" + name_txt + "</b>" + " " + surname_txt;
        var str_length = complete_name.length;

        if(str_length > 20) {
            return complete_name.slice(0, 18) + "..."
        } else {
            return complete_name
        }
    }


    Image {
        id: picture
        anchors.top: parent.top
        anchors.topMargin: 15
        source: intern_picture
    }


    Image {
        id: icon
        width: 42
        height: 42
        anchors.bottom: picture.bottom
        anchors.right: picture.right
        source: if(intern_icon == "") { return "" } else { return "images/"+intern_icon+".png" }
    }

    Text {
        id: nameTxt
        font.family: "Univers LT Std"
        color: "#c8c8c8"
        font.pixelSize: 18
        text: countCharacters(intern_name, intern_surname)
        anchors.top: picture.bottom
        anchors.topMargin: 2
        anchors.horizontalCenter: picture.horizontalCenter
    }

    Text {
        id: phoneTxt
        font.family: "Univers LT Std"
        color: "#96999c"
        font.pixelSize: 13
        text: intern_telephone
        anchors.top: nameTxt.bottom
        anchors.topMargin: 2
        anchors.horizontalCenter: picture.horizontalCenter
    }

    Rectangle {
        id: divisionLine
        color: "#2c2e38"
        height: 1
        width: 110
        anchors.top: phoneTxt.bottom
        anchors.topMargin: 10
    }

}
